%define name    vigra
%define version 1.8.0
%define release %mkrel 2
%define major   2
%define libname %mklibname %{name} %{major}
%define olddevel %libname-devel
%define libnamedevel %mklibname %{name} -d

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Generic Programming for Computer Vision
License:        MIT
Group:          Development/C
Source0:        http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/%{name}-%{version}-src.tar.gz

URL:            http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
BuildRequires:  zlib-devel libjpeg-devel libpng-devel libtiff-devel fftw-devel >= 3
BuildRequires:  cmake hdf5-devel boost-devel doxygen python-sphinx python-numpy-devel

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package devel
Summary: Development tools for programs which will use the vigra library
Group: Development/C
Requires: vigra = %{version}-%{release}
Requires: libjpeg-devel libtiff-devel libpng-devel zlib-devel fftw-devel >= 3
Requires: hdf5-devel boost-devel python-sphinx python-numpy

%description devel
The vigra-devel package includes the header files necessary for developing
programs that use the vigra library.

%package python
Summary: Python interface for the vigra computer vision library
Requires: vigra = %{version}-%{release}
Requires: python-numpy-devel 

%description python
The vigra-python package provides python bindings for vigra

%prep
%setup -q -n %{name}-%{version}


%build
%cmake -DDOCINSTALL=share/doc/%{name} \
%if "%{_lib}" == "lib64"
       -DLIBDIR_SUFFIX=64 \
%endif

%make VERBOSE=1
# cleanup
rm -f doc/vigranumpy/.buildinfo

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root,-)
%{_libdir}/libvigraimpex.so.*

%files devel
%defattr(-, root, root,-)
%doc %{_datadir}/doc/%{name}
%{_bindir}/vigra-config
%{_includedir}/vigra
%{_libdir}/libvigraimpex.so
%{_libdir}/vigra
%doc doc/vigra doc/vigranumpy

%files python
%defattr(-, root, root,-)
%{python_sitearch}/vigra


%changelog

* Sun Dec 25 2011 fwang <fwang> 1.8.0-2.mga2
+ Revision: 187454
- rebuild for new lbitiff

* Sun Dec 11 2011 eatdirt <eatdirt> 1.8.0-1.mga2
+ Revision: 180500
- Upgrade to 1.8.0

* Mon Nov 28 2011 fwang <fwang> 1.7.1-3.mga2
+ Revision: 173669
- rebuild for new boost

* Sun Sep 11 2011 grenoya <grenoya> 1.7.1-2.mga2
+ Revision: 142487
- replace require of numpy and numpy-f2py by python-numpy-devel (it contains f2py and will pull python-numpy)

* Sun Sep 11 2011 fwang <fwang> 1.7.1-1.mga2
+ Revision: 142330
- fix group
- update file list
- update file list
- clean spec
- update file list
- new version 1.7.1
- add gentoo patch to build with libpng1.5
- add more br
- fix br
- rebuild for new libpng

  + dmorgan <dmorgan>
    - New version 1.7.0
      Sync with fedora

* Sun Jan 23 2011 dmorgan <dmorgan> 1.5.0-7.mga1
+ Revision: 34527
- Remove mdv macros
- add %%{name}-devel on the devel package
- imported package vigra

